<?php
/**
 * Class objects instance list.
 *
 * @since  1.0.0
 * @package SAAI
 */

use SAAI\Cli\Storeagent;

defined( 'ABSPATH' ) || exit;

/***************************************************************************
 * Check if WP_CLI is defined and WP_CLI is true.
 ***************************************************************************
 *
 * We need to make sure that the CLI classes are only loaded when WP_CLI
 * is defined and WP_CLI is true otherwise we get a fatal error.
 */
if ( defined( 'WP_CLI' ) && WP_CLI ) {
    return array(
        new Storeagent(),
    );
}

return array();
